Package be.fgov.ehealth.rn.personservice.protocol.v1

# Class SearchPersonBySsinResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.rn.personservice.protocol.v1.SearchPersonBySsinResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class SearchPersonBySsinResponse extends StatusResponseType implements Serializable
SearchPersonBySsin response type

Java class for SearchPersonBySsinResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchPersonBySsinResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="Ssin" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SsinWithCanceledAndReplacesStatusType" minOccurs="0"/>
             <element name="Result" type="{urn:be:fgov:ehealth:rn:personservice:core:v1}PersonResponseResultType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchPersonBySsinResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PersonResponseResultType`
  `getResult()`
  Gets the value of the result property.
  `SsinWithCanceledAndReplacesStatusType`
  `getSsin()`
  Gets the value of the ssin property.
  `void`
  `setResult(PersonResponseResultType value)`
  Sets the value of the result property.
  `void`
  `setSsin(SsinWithCanceledAndReplacesStatusType value)`
  Sets the value of the ssin property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchPersonBySsinResponse

    public SearchPersonBySsinResponse()

- ## Method Details

  - ### getSsin

    public SsinWithCanceledAndReplacesStatusType getSsin()
    Gets the value of the ssin property.
    Returns:
      possible object is `SsinWithCanceledAndReplacesStatusType`

  - ### setSsin

    public void setSsin(SsinWithCanceledAndReplacesStatusType value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `SsinWithCanceledAndReplacesStatusType`

  - ### getResult

    public PersonResponseResultType getResult()
    Gets the value of the result property.
    Returns:
      possible object is `PersonResponseResultType`

  - ### setResult

    public void setResult(PersonResponseResultType value)
    Sets the value of the result property.
    Parameters:
      `value` - allowed object is `PersonResponseResultType`